<?
echo '<div class="event"><h1><a href="?admin_mod='.$_GET['admin_mod'].'">Admin Mod</a> | <a href="?admin_mod='.$_GET['admin_mod'].'&log='.rand(10,90).'">Лог</a></h1></div>'."\n";
echo '<div class="content"><div class="block">'."\n";

$na_vivod = 20; // Колличество сообщений на страницу
$k_post = mysql_result(mysql_querll('SELECT COUNT(`id`) FROM `admin_mod_log`'),0);
if($k_post==0){echo 'Список пуст...';}
$k_page=k_page($k_post,$na_vivod);
$page=page($k_page);
$start=$na_vivod*$page-$na_vivod;
$q=mysql_querll('SELECT * FROM `admin_mod_log` ORDER BY `id` DESC LIMIT '.$start.', '.$na_vivod.'');

while($info=mysql_fetch_assoc($q)){
echo '<div class="block event small" style="color:#FCEFA0;">'."\n";
echo $info['id'].') <a href="?user='.$info['id_user'].'">'.nc($info['id_user']).'</a> '.vremja($info['time']).' '.($info['one_value']<$info['two_value']?'<span style="color:#92BA3A;">добавил</span>':'<span style="color:#E77915;">забрал у</span>').' <a href="?user='.$info['id_komu'].'">'.nc($info['id_komu']).'</a><br/>'."\n";

if($info['type']=='money_log'){echo ' <span style="color:#FFFF00;">'.($info['one_value']<$info['two_value']?razdelen($info['two_value']-$info['one_value']):razdelen($info['one_value']-$info['two_value'])).' монет</span>.'."\n";}
elseif($info['type']=='rubies_log'){echo ' <span style="color:#FFFF00;">'.($info['one_value']<$info['two_value']?razdelen($info['two_value']-$info['one_value']):razdelen($info['one_value']-$info['two_value'])).' рубинов</span>.'."\n";}
elseif($info['type']=='zkl_log'){echo ' <span style="color:#FFFF00;">'.($info['one_value']<$info['two_value']?razdelen($info['two_value']-$info['one_value']):razdelen($info['one_value']-$info['two_value'])).' ключ</span>.'."\n";}
elseif($info['type']=='euro_log'){echo ' <span style="color:#FFFF00;">'.($info['one_value']<$info['two_value']?razdelen($info['two_value']-$info['one_value']):razdelen($info['one_value']-$info['two_value'])).' евро</span>.'."\n";}
elseif($info['type']=='level_log'){echo ' <span style="color:#FFFF00;">'.($info['one_value']<$info['two_value']?($info['two_value']-$info['one_value']):($info['one_value']-$info['two_value'])).' ур</span>.'."\n";}
elseif($info['type']=='rating_log'){echo ' <span style="color:#FFFF00;">'.($info['one_value']<$info['two_value']?rating($info['two_value']-$info['one_value']):rating($info['one_value']-$info['two_value'])).' опыта</span>.'."\n";}
elseif($info['type']=='sh_time_log'){echo ' <span style="color:#FFFF00;">Время в шахтах, было '.$info['one_value'].' стало '.$info['two_value'].'</span>'."\n";}
elseif($info['type']=='sha_number_log'){echo ' <span style="color:#FFFF00;">'.($info['one_value']<$info['two_value']?($info['two_value']-$info['one_value']):($info['one_value']-$info['two_value'])).' шахт</span>.'."\n";}
elseif($info['type']=='bel_number_log'){echo ' <span style="color:#FFFF00;">'.($info['one_value']<$info['two_value']?($info['two_value']-$info['one_value']):($info['one_value']-$info['two_value'])).' белтов</span>.'."\n";}
elseif($info['type']=='almaznaya_time_log'){echo ' <span style="color:#FFFF00;">Время в алмазной, было '.$info['one_value'].' стало '.$info['two_value'].'</span>'."\n";}

elseif($info['type']=='almaz_log'){echo ' <span style="color:#FFFF00;">'.($info['one_value']<$info['two_value']?razdelen($info['two_value']-$info['one_value']):razdelen($info['one_value']-$info['two_value'])).' Баксов</span>.'."\n";}
elseif($info['type']=='time_log'){echo ' <span style="color:#FFFF00;">'.($info['one_value']<$info['two_value']?razdelen($info['two_value']-$info['one_value']):razdelen($info['one_value']-$info['two_value'])).' Время онлайна</span>.'."\n";}
elseif($info['type']=='pop_log'){echo ' <span style="color:#FFFF00;">'.($info['one_value']<$info['two_value']?razdelen($info['two_value']-$info['one_value']):razdelen($info['one_value']-$info['two_value'])).' Авторитет</span>.'."\n";}
elseif($info['type']=='turnir_log'){echo ' <span style="color:#FFFF00;">'.($info['one_value']<$info['two_value']?razdelen($info['two_value']-$info['one_value']):razdelen($info['one_value']-$info['two_value'])).' Снежинок</span>.'."\n";}







echo '</div>'."\n";
}

if($k_page>1){echo"<br/>"; str("?admin_mod&log&",$k_page,$page);}

echo '</div></div>'."\n";
include_once('inc/foot.php');
?>